summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2017-07-02 20:43:51 +0200
committerPatrice Clement <monsieurp@gentoo.org>2017-07-05 11:50:04 +0200
commit3125be8627c2b939239216f2ea57940f5a8bf03e (patch)
tree084742c72f4a06d9d71654d8cb4c206eb8e9c73e /dev-java/avalon-logkit
parentdev-java/ant-javamail: clean up old. (diff)
downloadgentoo-3125be8627c2b939239216f2ea57940f5a8bf03e.tar.gz
gentoo-3125be8627c2b939239216f2ea57940f5a8bf03e.tar.bz2
gentoo-3125be8627c2b939239216f2ea57940f5a8bf03e.zip
dev-java/avalon-logkit: remove java-virtuals/jaf dependency.
Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --force
Diffstat (limited to 'dev-java/avalon-logkit')
-rw-r--r--dev-java/avalon-logkit/avalon-logkit-1.2.2-r2.ebuild96
1 files changed, 96 insertions, 0 deletions
diff --git a/dev-java/avalon-logkit/avalon-logkit-1.2.2-r2.ebuild b/dev-java/avalon-logkit/avalon-logkit-1.2.2-r2.ebuild
new file mode 100644
index 00000000000..10c58a12255
--- /dev/null
+++ b/dev-java/avalon-logkit/avalon-logkit-1.2.2-r2.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit eutils java-pkg-2
+
+DESCRIPTION="Easy-to-use Java logging toolkit"
+HOMEPAGE="http://avalon.apache.org/"
+SRC_URI="mirror://apache/avalon/logkit/source/logkit-${PV}-src.tar.gz"
+
+LICENSE="Apache-1.1"
+SLOT="1.2"
+
+KEYWORDS="amd64 ppc64 x86 ~x86-fbsd"
+
+CDEPEND="
+ dev-java/log4j:0
+ dev-java/avalon-framework:4.1
+ java-virtuals/jms:0
+ java-virtuals/javamail:0
+ java-virtuals/servlet-api:2.5"
+
+RDEPEND="
+ ${CDEPEND}
+ >=virtual/jre-1.6"
+
+DEPEND="
+ ${CDEPEND}
+ >=virtual/jdk-1.6
+ test? ( dev-java/junit:4 )"
+
+S="${WORKDIR}/logkit-${PV}-dev"
+SRC_DIR="${S}/src/java"
+JAVADOC_DIR="${S}/javadoc"
+
+java_prepare() {
+ epatch "${FILESDIR}/${P}-java7.patch"
+}
+
+src_compile() {
+ mkdir classes || die "Could not create compile output dir"
+
+ ejavac \
+ -encoding "ISO-8859-1" \
+ -classpath $(java-pkg_getjars javamail,jms,log4j,servlet-api-2.5,avalon-framework-4.1) \
+ -d classes $(find "${SRC_DIR}" -name "*.java") \
+ || die "Compilation failed"
+
+ jar -cf "${S}/${PN}.jar" -C classes . || die "Could not create jar"
+
+ #Generate javadoc
+ if use doc ; then
+ mkdir "${JAVADOC_DIR}" || die "Could not create javadoc dir"
+ cd "${SRC_DIR}"
+ javadoc \
+ -encoding "ISO-8859-1" \
+ -sourcepath "${SRC_DIR}" \
+ -classpath $(java-pkg_getjars javamail,jms,log4j,servlet-api-2.5,avalon-framework-4.1) \
+ -source "${JAVA_VERSION}" \
+ -d "${JAVADOC_DIR}" \
+ $(find "org/apache/log" -type d | tr '/' '.') \
+ || die "Could not create javadoc"
+ fi
+}
+
+src_test() {
+ mkdir test-classes || die "Unable to make dir"
+ local TESTJAR="avalon-logkit-test.jar"
+
+ ejavac \
+ -encoding "ISO-8859-1" \
+ -classpath "avalon-logkit.jar:$(java-config -p junit-4)" \
+ -d test-classes \
+ $(find src/test -name '*.java')
+
+ jar -cf "${TESTJAR}" -C test-classes .
+
+ java -cp "avalon-logkit.jar:${TESTJAR}:$(java-config -p junit:4)" \
+ org.junit.runner.JUnitCore org.apache.log.format.test.FormatterTestCase \
+ org.apache.log.output.test.RevolvingFileStrategyTestCase \
+ org.apache.log.output.test.OutputTargetTestCase \
+ org.apache.log.output.test.DBTargetTestCase \
+ org.apache.log.util.test.UtilTestCase \
+ org.apache.log.test.LoggerListenerTestCase \
+ org.apache.log.test.WrappingTargetTestCase \
+ org.apache.log.test.InheritanceTestCase
+}
+
+src_install() {
+ java-pkg_dojar "${PN}.jar"
+ use doc && java-pkg_dojavadoc "${JAVADOC_DIR}"
+ use source && java-pkg_dosrc "${SRC_DIR}/*"
+}